# Initial Prediction of Course Changing Positions for Sailboats

This project is a showcase of my skills in applied artificial intelligence (AI), developed as part of my coursework for my studies in [Applied AI](https://www.fh-swf.de/de/studienangebot/studiengaenge/angewandte_kuenstliche_intelligenz/index.php) at the FH-SWF.

The project includes a Jupyter Notebook coded in Python using TensorFlow, and markdown entries in German.

## Jupyter Notebook

The Jupyter Notebook, titled `SegelbootKurswechselpositionen.ipynb`, contains experiments conducted for this project. The navigation algorithm used in the notebook is based on the course finder developed by the [Sailing Team Darmstadt e.V.](http://www.st-darmstadt.de). Please note that the course finder algorithm by the Sailing Team Darmstadt e.V. is proprietary and therefore could not be included in this project.

## Data

The training data used for this project can be found in the `data` folder.
